<?
//header("Content-Type: application/xhtml+xml; charset=iso-8859-1");
header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=cliente.xls");

/*****************************************/
$o_ObjectBean = new ClienteBean();
  
//$tamanioPag = 15;
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO 
 
//Todos los Mercados de Todas las sucursales
if(myUser::getUser()->getRoleId() == "sys.gen" || myUser::getUser()->getRoleId() == "sys.view"){
	$o_MercadoBL = new MercadoBL();
	$a_o_Mercado = $o_MercadoBL->busquedaMercado(new MercadoBean());
}

if(myUser::getUser()->getRoleId() == "sys.res"){
	//Filtro por Sucursal
 	$o_SucursalBean = new SucursalBean();
 	$o_SucursalBean->setIdAdministrador(myUser::getUser()->getIdColaborador());
 	
 	$o_SucursalBL = new SucursalBL();
 	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
 	$o_SucursalMercadoBean_Temp = new SucursalMercadoBean();
  	$o_SucursalMercadoBean_Temp->setIdSucursal($idSucursal); 
  	
  	$o_SucursalMercadoBL_Temp = new SucursalMercadoBL();
  	$a_o_SucursalMercadoResult = $o_SucursalMercadoBL_Temp->busquedaSucursalMercadoDetalle($o_SucursalMercadoBean_Temp);
	
	$o_MercadoBL = new MercadoBL();
	$a_o_MercadoRepresentanteBeanResult = $o_MercadoBL->busquedaMercado(new MercadoBean());
	foreach ($a_o_MercadoRepresentanteBeanResult as $key => $o_MercadoRepresentante){
  		$a_Mercado[] = $o_MercadoRepresentante->getIdMercado();
  	}
	if(!is_array($a_Mercado)){
  		$a_Mercado[] = "0"; 
  	}
		
}
if(myUser::getUser()->getRoleId() == "sys.sec"){
	
	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	 	
	$o_SucursalBean = new SucursalBean();
 	$o_SucursalBean->setIdAdministrador($o_ColaboradorBeanResult[0]->getIdPadre());
 	
 	$o_SucursalBL = new SucursalBL();
 	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
 	$o_SucursalMercadoBean_Temp = new SucursalMercadoBean();
  	$o_SucursalMercadoBean_Temp->setIdSucursal($idSucursal); 
  	
  	$o_SucursalMercadoBL_Temp = new SucursalMercadoBL();
  	$a_o_SucursalMercadoResult = $o_SucursalMercadoBL_Temp->busquedaSucursalMercadoDetalle($o_SucursalMercadoBean_Temp);
  	
  	foreach ($a_o_SucursalMercadoResult as $key => $o_MercadoRepresentante){
  		$a_Mercado[$o_MercadoRepresentante->getIdMercado()] = $o_MercadoRepresentante->getIdMercado();
  	}
	
}

if(myUser::getUser()->getRoleId() == "sys.ope"){
	$o_MercadoRepresentanteBean_Temp = new MercadoRepresentanteBean();
  	$o_MercadoRepresentanteBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_MercadoRepresentanteBL_Temp = new MercadoRepresentanteBL();
  	$a_o_MercadoRepresentanteBeanResult = $o_MercadoRepresentanteBL_Temp->busquedaMercadoRepresentanteDetalle($o_MercadoRepresentanteBean_Temp);
  	foreach ($a_o_MercadoRepresentanteBeanResult as $key => $o_MercadoRepresentante){
  		$a_Mercado[] = $o_MercadoRepresentante->getIdMercado();
  	}
  	if(!is_array($a_Mercado)){
  		$a_Mercado[] = "0"; 
  	}
}


$o_ObjectBean->setFiltroMercado($a_Mercado);
	
if($idCliente   	!=""){ $o_ObjectBean->setIdCliente($idCliente); }
if($cboEstado   	!=""){ $o_ObjectBean->setEstado($cboEstado); }
if($Dni       		!=""){ $o_ObjectBean->setDni($Dni); }
if($IdMercado     	!=""){ $o_ObjectBean->setIdMercado($IdMercado); }
if($cboTipoNegocio  !=""){ $o_ObjectBean->setIdTipoNegocio($cboTipoNegocio); } 
if($cboSexo   		!=""){ $o_ObjectBean->setSexo($cboSexo); } 
if($txtNombre      	!="" && $cboTipoNombre == "AP"){ $o_ObjectBean->setApellidoPaterno($txtNombre); }
if($txtNombre     	!="" && $cboTipoNombre == "AM"){ $o_ObjectBean->setApellidoMaterno($txtNombre); }
if($txtNombre     	!="" && $cboTipoNombre == "NO"){ $o_ObjectBean->setNombres($txtNombre); }

 $o_ObjectBean->page = $page;
 $o_ObjectBean->tamPag = $tamanioPag;
 $o_ObjectBean->sortCampos = $sortCampos;
 $o_ObjectBean->sortType   = $sortType;

$o_class = new ClienteBL();
$a_ObjectBean = $o_class->busquedaCliente($o_ObjectBean);

/*****************************************/

ViewResponse::getInstance()->setMethodAjax();

?>

      <table>
        <tr>
          <td>
            <table border="1">
              <tr>
                <th>Nro&nbsp;</th>
                <th>Cliente&nbsp;</th>
                <th>DNI</th>
                <th>Telefono&nbsp;</th>
                <th>Estado&nbsp;</th>
                <th>Usr.Crea.</th>
                <th>Fec.Crea.</th>
                <th>Usr.Ult.Act.</th>
                <th>Fec.Ult.Act.</th>
              </tr>
              <? if(count($a_ObjectBean)>0){ ?>
              <? foreach ($a_ObjectBean as $iKey => $o_objBean){ ?>
              <tr>
				<td><?=($i+1)?>&nbsp;</td>
				<td><?=$o_objBean->getNombreCompleto() ?>&nbsp;</td>
				<td><?=$o_objBean->getDni() ?>&nbsp;</td>
				<td><?=$o_objBean->getTelefono()?>&nbsp;</td>
				<td><? if($o_objBean->getEstado()=='A'){echo Activo;} else{ echo Inactivo;}?>&nbsp;</td>
				<td><?=strtoupper($o_objBean->getUsuarioCreacion())?>&nbsp;</td>
				<td><?=$o_objBean->getFechaCreacion()?>&nbsp;</td>
                <td><?=strtoupper($o_objBean->getUsuarioModificacion())?>&nbsp;</td>
				<td><?=$o_objBean->getFechaModificacion()?>&nbsp;</td>
              </tr>
              <? $i++;} ?>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
      </table>